
Redmine - Patch #37469

Add missing fixture versions to RepositoryTest

2022-07-20 10:01 - Dmitry Makurin 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

One test is failing:

$ bundle exec rails db:reset test TEST=test/unit/repository_test.rb RAILS_ENV=test

Dropped database 'db/test.sqlite3'

Created database 'db/test.sqlite3'

Run options: --seed 58756

1. Running:

.................................Traceback (most recent call last):

74: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:83:in `block in autorun'

73: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:159:in `run'

72: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:182:in `__run'

71: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:182:in `map'

70: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:182:in `block in _run'

69: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/railties-6.1.6.1/lib/rails/test_unit/line_filtering.rb:10:in `run'

68: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:350:in `run'

67: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:378:in `with_info_handler'

66: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:391:in `on_signal'

65: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:351:in `block in run'

64: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:351:in `each'

63: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:352:in `block (2 levels) in run'

62: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:365:in `run_one_method'

61: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:1059:in `run_one_method'

60: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:93:in `run'

59: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:243:in `with_info_handler'

58: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:391:in `on_signal'

57: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:94:in `block in run'

56: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:296:in `time_it'

55: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:95:in `block (2 levels) in

run'

54: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:195:in

`capture_exceptions'

53: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:98:in `block (3 levels) in

run'

52: from /home/makurin/Work/clean-redmine/test/unit/repository_test.rb:271:in `test_scan_changesets_for_issue_ids'

51: from /home/makurin/Work/clean-redmine/test/test_helper.rb:102:in `with_settings'

50: from /home/makurin/Work/clean-redmine/test/unit/repository_test.rb:272:in `block in test_scan_changesets_for_issue_ids'

49: from /home/makurin/Work/clean-redmine/app/models/repository.rb:359:in `scan_changesets_for_issue_ids'

48: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/relation/delegation.rb:88:in

`each'

47: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/relation/delegation.rb:88:in

`each'

46: from /home/makurin/Work/clean-redmine/app/models/repository.rb:286:in `scan_changesets_for_issue_ids'

45: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/relation/delegation.rb:88:in

`each'

44: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/relation/delegation.rb:88:in

`each'
43: from /home/makurin/Work/clean-redmine/app/models/changeset.rb:162:in `scan_comment_for_issue_ids'

42: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/builder/association

.rb:111:in `issues='

41: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:41:in `writer'

40: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:254:in `replace'

39: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:135:in `transaction'

38: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/transactions.rb:209:in

`transaction'

37: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/connection_adapters/abstract/d

atabase_statements.rb:320:in `transaction'

36: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/connection_adapters/abstract/tr

ansaction.rb:317:in `within_new_transaction'

35: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activesupport-6.1.6.1/lib/active_support/concurrency/load_interlock_a

ware_monitor.rb:21:in `synchronize'

34: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activesupport-6.1.6.1/lib/active_support/concurrency/load_interlock_a

ware_monitor.rb:21:in `handle_interrupt'

33: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activesupport-6.1.6.1/lib/active_support/concurrency/load_interlock_a

ware_monitor.rb:25:in `block in synchronize'

32: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activesupport-6.1.6.1/lib/active_support/concurrency/load_interlock_a

ware_monitor.rb:25:in `handle_interrupt'

31: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activesupport-6.1.6.1/lib/active_support/concurrency/load_interlock_a

ware_monitor.rb:26:in `block (2 levels) in synchronize'

30: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/connection_adapters/abstract/tr

ansaction.rb:319:in `block in within_new_transaction'

29: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/connection_adapters/abstract/d

atabase_statements.rb:320:in `block in transaction'

28: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:136:in `block in transaction'

27: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:254:in `block in replace'

26: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:413:in `replace_records'

25: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/has_many_throug

h_association.rb:21:in `concat'

24: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:121:in `concat'

23: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:135:in `transaction'

22: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/transactions.rb:209:in

`transaction'

21: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/connection_adapters/abstract/d

atabase_statements.rb:318:in `transaction'

20: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat
ion.rb:136:in `block in transaction'

19: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:121:in `block in concat'

18: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/has_many_throug

h_association.rb:40:in `concat_records'

17: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/has_many_associ

ation.rb:130:in `concat_records'

16: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:433:in `concat_records'

15: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:433:in `each'

14: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:435:in `block in concat_records'

13: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:283:in `add_to_target'

12: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:462:in `replace_on_target'

11: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:437:in `block (2 levels) in concat_records'

10: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/has_many_throug

h_association.rb:28:in `insert_record'

9: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/has_many_associ

ation.rb:58:in `insert_record'

8: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/associations/collection_associat

ion.rb:371:in `insert_record'

7: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/suppressor.rb:48:in

`save!'

6: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/transactions.rb:302:in

`save!'

5: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/transactions.rb:350:in

`with_transaction_returning_status'

4: from

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/connection_adapters/abstract/d

atabase_statements.rb:318:in `transaction'

3: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/transactions.rb:354:in

`block in with_transaction_returning_status'

2: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/transactions.rb:302:in

`block in save!'

1: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/validations.rb:53:in

`save!'

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/validations.rb:80:in

`raise_validation_error': Validation failed: Version cible n'est pas inclus(e) dans la liste (ActiveRecord::RecordInvalid)

23: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:83:in `block in autorun'

22: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:159:in `run'

21: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:182:in `_run'

20: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:182:in `map'

19: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:182:in `block in _run'

18: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/railties-6.1.6.1/lib/rails/test_unit/line_filtering.rb:10:in `run'

17: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:350:in `run'

16: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:378:in `with_info_handler'

15: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:391:in `on_signal'

14: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:351:in `block in run'

13: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:351:in `each'

12: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:352:in `block (2 levels) in run'

11: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:365:in `run_one_method'
10: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:1059:in `run_one_method'

9: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:93:in `run'

8: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:243:in `with_info_handler'

7: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:391:in `on_signal'

6: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:94:in `block in run'

5: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:296:in `time_it'

4: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:95:in `block (2 levels) in run'

3: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:194:in `capture_exceptions'

2: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:201:in `rescue in

capture_exceptions'

1: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:205:in `sanitize_exception'

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:205:in `dump': can't dump hash with

default proc (TypeError)

27: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:83:in `block in autorun'

26: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:159:in `run'

25: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:182:in `_run'

24: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:182:in `map'

23: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:182:in `block in __run'

22: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/railties-6.1.6.1/lib/rails/test_unit/line_filtering.rb:10:in `run'

21: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:350:in `run'

20: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:378:in `with_info_handler'

19: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:391:in `on_signal'

18: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:351:in `block in run'

17: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:351:in `each'

16: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:352:in `block (2 levels) in run'

15: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:365:in `run_one_method'

14: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:1059:in `run_one_method'

13: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:93:in `run'

12: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:243:in `with_info_handler'

11: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:391:in `on_signal'

10: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:94:in `block in run'

9: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest.rb:296:in `time_it'

8: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:95:in `block (2 levels) in run'

7: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:194:in `capture_exceptions'

6: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:201:in `rescue in

capture_exceptions'

5: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:204:in `sanitize_exception'

4: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:208:in `rescue in

sanitize_exception'

3: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:215:in `neuter_exception'

2: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:223:in `new_exception'

1: from /home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/minitest-5.16.2/lib/minitest/test.rb:223:in `new'

/home/makurin/.rbenv/versions/2.7.6/lib/ruby/gems/2.7.0/gems/activerecord-6.1.6.1/lib/active_record/validations.rb:21:in `initialize':

undefined method `errors' for #<String:0x00005577840bed38> (NoMethodError)

Adding a versions fixture fixed it.

Related issues:

Copied to Redmine - Patch #37470: Add missing fixture versions to MailHandler... Closed

Associated revisions

Revision 21726 - 2022-07-21 03:07 - Go MAEDA

Add missing fixture versions to RepositoryTest (#37469).

Patch by Dmitry Makurin.

History

#1 - 2022-07-20 10:04 - Dmitry Makurin 

- File add_missing_fixture_to_repository_test.patch added

#2 - 2022-07-20 10:24 - Dmitry Makurin 

- Copied to Patch #37470: Add missing fixture versions to MailHandlerControllerTest  added

#3 - 2022-07-20 11:10 - Go MAEDA
- Category set to Code cleanup/refactoring

- Status changed from New to Confirmed

- Target version set to 5.1.0

#4 - 2022-07-21 03:08 - Go MAEDA

- Tracker changed from Defect to Patch

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you.

#5 - 2022-07-21 03:22 - Go MAEDA

- Subject changed from Missing fixture in RepositoryTest to Add missing fixture versions to RepositoryTest

Files

add_missing_fixture_to_repository_test.patch 416 Bytes 2022-07-20 Dmitry Makurin 
